Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.images
Class TabGradientA

    java.lang.Object
      org.ajax4jsf.resource.InternetResourceBase
          org.ajax4jsf.resource.Java2Dresource
              org.richfaces.renderkit.html.BaseGradient
                  org.richfaces.renderkit.images.TabGradientA

All Implemented Interfaces:
  org.ajax4jsf.resource.InternetResource

    public class TabGradientA

extends org.richfaces.renderkit.html.BaseGradient

Author:
  Nick Belaevski - nbelaevski@exadel.com created 02.02.2007

Nested Class Summary

Nested classes/interfaces inherited from class org.richfaces.renderkit.html.BaseGradient
`org.richfaces.renderkit.html.BaseGradient.Data`

Field Summary

Fields inherited from interface org.ajax4jsf.resource.InternetResource
`CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, DEFAULT_EXPITE_PARAMETER, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

Constructor Summary
`TabGradientA()`

Method Summary

Methods inherited from class org.richfaces.renderkit.html.BaseGradient
`createData, deserializeData, getColorValueParameter, getDataToStore, getDimensions, getDimensions, getValueParameter, isCacheable, paint, restoreData, saveData`

Methods inherited from class org.ajax4jsf.resource.Java2Dresource
`getImage, getResourceAsStream, send`

Methods inherited from class org.ajax4jsf.resource.InternetResourceBase
`encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getExpired, getKey, getLastModified, getProperty, getRenderer, getUri, isCacheable, isSessionAware, requireFacesContext, restoreData, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabGradientA

    public TabGradientA()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.